Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.Screen Class Reference
Inheritance diagram for FoxitPDFSDKPython3.Screen:

## Public Member Functions
def | Screen ()
| Constructor.
def | Screen (annot)
| Constructor, with parent class object. More...
def | GetAction ()
| Get action. More...
def | GetBitmap ()
| Get the bitmap from current screen annotation. More...
def | GetMKDict ()
| Get the appearance characteristics dictionary (known as "MK" dictionary as well). More...
def | GetOpacity ()
| Get opacity value. More...
def | GetRotation ()
| Get the rotation of the image used for the appearance of current screen annotation. More...
def | GetTitle ()
| Get title of current screen annotation. More...
def | RemoveAction ()
| Remove action. More...
def | SetAction (action)
| Set action. More...
def | SetImage (image, frame_index, compress)
| Set image to current screen annotation, with a specified frame index. More...
def | SetMKDict (dict)
| Set the appearance characteristics dictionary (known as "MK" dictionary as well). More...
def | SetOpacity (opacity)
| Set opacity value. More...
def | SetRotation (rotate)
| Set the rotation of the image used for the appearance of current screen annotation. More...
def | SetTitle (title)
| Set title of current screen annotation. More...
Public Member Functions inherited from FoxitPDFSDKPython3.Annot
def | Annot (page, annot_dict)
| Constructor, with PDF page and annotation's PDF dictionary. More...
def | Annot (annot)
| Constructor, with another annotation object. More...
def | Annot ()
| Constructor.
def | GetAppearanceStream (type, appearance_state)
| Get annotation's appearance stream with specified type and state. More...
def | GetBorderColor ()
| Get border color. More...
def | GetBorderInfo ()
| Get border information. More...
def | GetContent ()
| Get content. More...
def | GetDeviceRect (matrix)
| Get annotation rectangle in device coordinate system. More...
def | GetDict ()
| Get annotation's dictionary object. More...
def | GetDisplayMatrix (page_display_matrix)
| Get the display matrix, from [PDF coordinate system] () to targeted device coordinate system. More...
def | GetFlags ()
| Get annotation flags. More...
def | GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
def | GetModifiedDateTime ()
| Get last modified date time. More...
def | GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
def | GetPage ()
| Get the related PDF page. More...
def | GetRect ()
| Get rectangle, in [PDF coordinate system] (). More...
def | GetType ()
| Get actual annotation type of current annotation. More...
def | GetUniqueID ()
| Get unique ID. More...
def | HasProperty (property)
| Whether current annotation has the specified annotation's property. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | IsMarkup ()
| Check if current annotation is a markup annotation. More...
def | Move (rect)
| Move current annotation to a new position, specified by a new rectangle in [PDF coordinate system] (). More...
def | Move (rect, is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in [PDF coordinate system] (). More...
def | RemoveProperty (property)
| Remove a specified annotation's property. More...
def | ResetAppearanceStream ()
| Reset appearance stream. More...
def | SetBorderColor (color)
| Set border color. More...
def | SetBorderInfo (border)
| Set border information. More...
def | SetContent (content)
| Set content. More...
def | SetFlags (flags)
| Set annotation flags. More...
def | SetModifiedDateTime (date_time)
| Set last modified date time. More...
def | SetUniqueID (unique_id)
| Set unique ID. More...

## Additional Inherited Members
Static Public Attributes inherited from FoxitPDFSDKPython3.Annot
| e_3D = _fsdk.Annot_e_3D
| Annotation type: 3D annotation. One of standard annotation in <PDF reference 1.7>.
| e_AppearanceTypeDown = _fsdk.Annot_e_AppearanceTypeDown
| Annotation's down appearance.
| e_AppearanceTypeNormal = _fsdk.Annot_e_AppearanceTypeNormal
| Annotation's normal appearance.
| e_AppearanceTypeRollover = _fsdk.Annot_e_AppearanceTypeRollover
| Annotation's rollover appearance.
| e_Caret = _fsdk.Annot_e_Caret
| Annotation type: caret annotation. One of standard annotation in <PDF reference 1.7>.
| e_Circle = _fsdk.Annot_e_Circle
| Annotation type: circle annotation. One of standard annotation in <PDF reference 1.7>.
| e_FileAttachment = _fsdk.Annot_e_FileAttachment
| Annotation type: file attachment annotation. One of standard annotation in <PDF reference 1.7>.
| e_FlagHidden = _fsdk.Annot_e_FlagHidden
| Annotation flag: hidden. More...
| e_FlagInvisible = _fsdk.Annot_e_FlagInvisible
| Annotation flag: invisible. More...
| e_FlagLocked = _fsdk.Annot_e_FlagLocked
| Annotation flag: locked. More...
| e_FlagLockedContents = _fsdk.Annot_e_FlagLockedContents
| Annotation flag: locked contents. More...
| e_FlagNoRotate = _fsdk.Annot_e_FlagNoRotate
| Annotation flag: no rotate. More...
| e_FlagNoView = _fsdk.Annot_e_FlagNoView
| Annotation flag: no view. More...
| e_FlagNoZoom = _fsdk.Annot_e_FlagNoZoom
| Annotation flag: no zoom. More...
| e_FlagPrint = _fsdk.Annot_e_FlagPrint
| Annotation flag: print. More...
| e_FlagReadOnly = _fsdk.Annot_e_FlagReadOnly
| Annotation flag: read only. More...
| e_FlagToggleNoView = _fsdk.Annot_e_FlagToggleNoView
| Annotation flag: toggle no view. More...
| e_FreeText = _fsdk.Annot_e_FreeText
| Annotation type: free text annotation. One of standard annotation in <PDF reference 1.7>.
| e_Highlight = _fsdk.Annot_e_Highlight
| Annotation type: highlight annotation. One of standard annotation in <PDF reference 1.7>.
| e_HighlightingInvert = _fsdk.Annot_e_HighlightingInvert
| Highlighting mode: Invert, which is to invert the contents of the annotation rectangle.
| e_HighlightingNone = _fsdk.Annot_e_HighlightingNone
| Highlighting mode: No highlighting.
| e_HighlightingOutline = _fsdk.Annot_e_HighlightingOutline
| Highlighting mode: Outline, which is to invert the annotation's border.
| e_HighlightingPush = _fsdk.Annot_e_HighlightingPush
| Highlighting mode: Push, which is to display the annotation's down appearance, if any.
| e_HighlightingToggle = _fsdk.Annot_e_HighlightingToggle
| Highlighting mode: Toggle. This is only useful for widget annotation.
| e_Ink = _fsdk.Annot_e_Ink
| Annotation type: ink annotation. One of standard annotation in <PDF reference 1.7>.
| e_Line = _fsdk.Annot_e_Line
| Annotation type: line annotation. One of standard annotation in <PDF reference 1.7>.
| e_Link = _fsdk.Annot_e_Link
| Annotation type: link annotation. One of standard annotation in <PDF reference 1.7>.
| e_MKEntryBackgroundColor = _fsdk.Annot_e_MKEntryBackgroundColor
| Background color entry. "BG" in MK dictionary.
| e_MKEntryBorderColor = _fsdk.Annot_e_MKEntryBorderColor
| Border color entry. "BC" in MK dictionary.
| e_MKEntryDownCaption = _fsdk.Annot_e_MKEntryDownCaption
| Down caption (or alternate caption) entry. "AC" in MK dictionary. More...
| e_MKEntryDownIcon = _fsdk.Annot_e_MKEntryDownIcon
| Down icon (or alternate icon) entry. "IX" in MK dictionary. More...
| e_MKEntryIconCaptionRelation = _fsdk.Annot_e_MKEntryIconCaptionRelation
| Icon and caption relation entry. "TP" in MK dictionary. More...
| e_MKEntryIconFit = _fsdk.Annot_e_MKEntryIconFit
| Icon fit information entry. "IF" in MK dictionary. More...
| e_MKEntryNormalCaption = _fsdk.Annot_e_MKEntryNormalCaption
| Normal caption entry. "CA" in MK dictionary. More...
| e_MKEntryNormalIcon = _fsdk.Annot_e_MKEntryNormalIcon
| Normal icon entry. "I" in MK dictionary. More...
| e_MKEntryRolloverCaption = _fsdk.Annot_e_MKEntryRolloverCaption
| Rollover caption entry. "RC" in MK dictionary. More...
| e_MKEntryRolloverIcon = _fsdk.Annot_e_MKEntryRolloverIcon
| Rollover icon entry. "RI" in MK dictionary. More...
| e_MKEntryRotation = _fsdk.Annot_e_MKEntryRotation
| Rotation entry. "R" in MK dictionary.
| e_MKRelationCaptionAboveIcon = _fsdk.Annot_e_MKRelationCaptionAboveIcon
| Caption above the icon.
| e_MKRelationCaptionBelowIcon = _fsdk.Annot_e_MKRelationCaptionBelowIcon
| Caption below the icon.
| e_MKRelationCaptionLeft = _fsdk.Annot_e_MKRelationCaptionLeft
| Caption to the left of the icon.
| e_MKRelationCaptionOvrlayOnIcon = _fsdk.Annot_e_MKRelationCaptionOvrlayOnIcon
| Caption overlaid directly on the icon.
| e_MKRelationCaptionRight = _fsdk.Annot_e_MKRelationCaptionRight
| Caption to the right of the icon.
| e_MKRelationNoCaption = _fsdk.Annot_e_MKRelationNoCaption
| No caption; icon only.
| e_MKRelationNoIcon = _fsdk.Annot_e_MKRelationNoIcon
| No icon; captin only.
| e_Movie = _fsdk.Annot_e_Movie
| Annotation type: movie annotation. One of standard annotation in <PDF reference 1.7>.
| e_Note = _fsdk.Annot_e_Note
| Annotation type: note annotation, which is just "Text" annotation - one of standard annotation in <PDF reference 1.7>.
| e_PagingSeal = _fsdk.Annot_e_PagingSeal
| Annotation type: paging seal annotation. A Foxit PDF SDK custom annotation type (not a standard annotation type).
| e_Polygon = _fsdk.Annot_e_Polygon
| Annotation type: polygon annotation. One of standard annotation in <PDF reference 1.7>.
| e_PolyLine = _fsdk.Annot_e_PolyLine
| Annotation type: polyline annotation. One of standard annotation in <PDF reference 1.7>.
| e_Popup = _fsdk.Annot_e_Popup
| Annotation type: pop-up annotation. One of standard annotation in <PDF reference 1.7>.
| e_PrinterMark = _fsdk.Annot_e_PrinterMark
| Annotation type: printer's mark annotation. One of standard annotation in <PDF reference 1.7>.
| e_PropertyBorderColor = _fsdk.Annot_e_PropertyBorderColor
| Annotation property: border color. More...
| e_PropertyCreationDate = _fsdk.Annot_e_PropertyCreationDate
| Annotation property: creation date. More...
| e_PropertyFillColor = _fsdk.Annot_e_PropertyFillColor
| Annotation property: fill color. More...
| e_PropertyModifiedDate = _fsdk.Annot_e_PropertyModifiedDate
| Annotation property: modified date.
| e_PSInk = _fsdk.Annot_e_PSInk
| Annotation type: pressure sensitive ink annotation.
| e_Redact = _fsdk.Annot_e_Redact
| Annotation type: redact annotation.
| e_RichMedia = _fsdk.Annot_e_RichMedia
| Annotation type: rich media annotation.
| e_Screen = _fsdk.Annot_e_Screen
| Annotation type: screen annotation. One of standard annotation in <PDF reference 1.7>.
| e_Sound = _fsdk.Annot_e_Sound
| Annotation type: sound annotation. One of standard annotation in <PDF reference 1.7>.
| e_Square = _fsdk.Annot_e_Square
| Annotation type: square annotation. One of standard annotation in <PDF reference 1.7>.
| e_Squiggly = _fsdk.Annot_e_Squiggly
| Annotation type: squiggly annotation. One of standard annotation in <PDF reference 1.7>.
| e_Stamp = _fsdk.Annot_e_Stamp
| Annotation type: stamp annotation. One of standard annotation in <PDF reference 1.7>.
| e_StrikeOut = _fsdk.Annot_e_StrikeOut
| Annotation type: strikeout annotation. One of standard annotation in <PDF reference 1.7>.
| e_TrapNet = _fsdk.Annot_e_TrapNet
| Annotation type: trap network annotation. One of standard annotation in <PDF reference 1.7>.
| e_Underline = _fsdk.Annot_e_Underline
| Annotation type: underline annotation. One of standard annotation in <PDF reference 1.7>.
| e_UnknownType = _fsdk.Annot_e_UnknownType
| Annotation type: unknown.
| e_Watermark = _fsdk.Annot_e_Watermark
| Annotation type: watermark annotation. One of standard annotation in <PDF reference 1.7>.
| e_Widget = _fsdk.Annot_e_Widget
| Annotation type: widget annotation. One of standard annotation in <PDF reference 1.7>. More...

## Detailed Description

A screen annotation specifies a region of a page upon which media clips may be played. It also serves as an object from which actions can be triggered. Usually, rendition action is set to a screen annotation in order that the screen annotation can be used to play media clip.
Class FoxitPDFSDKPython3.Screen is derived from Annot , and offers functions to get/set link annotation's properties and reset appearance stream of a screen annotation. Appearance stream of a screen annotation is used for printing (if possible) and when the related media clip is not being played.

Note
  For a newly created screen annotation, it has no border information and no border color.

See also
  Annot

## Constructor & Destructor Documentation

## ◆ Screen()

def FoxitPDFSDKPython3.Screen.Screen | ( |  | annot | ) |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

## Member Function Documentation

## ◆ GetAction()

def FoxitPDFSDKPython3.Screen.GetAction | ( |  | ) |

Get action.

This function cannot be used to get action which is used as additional action. If user wants to get any additional action, please refer to class FoxitPDFSDKPython3.AdditionalAction for more details.

Returns
  An action object that receives the action data. If the return value of function FoxitPDFSDKPython3.Action.IsEmpty for the returned action object is true, that means no action.

## ◆ GetBitmap()

def FoxitPDFSDKPython3.Screen.GetBitmap | ( |  | ) |

Get the bitmap from current screen annotation.

Returns
  A bitmap object. If the return value of function FoxitPDFSDKPython3.Bitmap.IsEmpty for the returned bitmap object is true, that means current screen annotation has no bitmap.

## ◆ GetMKDict()

def FoxitPDFSDKPython3.Screen.GetMKDict | ( |  | ) |

Get the appearance characteristics dictionary (known as "MK" dictionary as well).

If this dictionary is not set to a screen annotation (including current one), please call function FoxitPDFSDKPython3.PDFObject.Release (inherited from FoxitPDFSDKPython3.PDFDictionary 's parent class) to release it.

Returns
  A PDF dictionary that represents the "MK" dictionary. If there is no "MK" entry or any error occurs, this function will return null.

## ◆ GetOpacity()

def FoxitPDFSDKPython3.Screen.GetOpacity | ( |  | ) |

Get opacity value.

This property has effect on annotation's appearance.

Returns
  The opacity value. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

## ◆ GetRotation()

def FoxitPDFSDKPython3.Screen.GetRotation | ( |  | ) |

Get the rotation of the image used for the appearance of current screen annotation.

Returns
  Rotation value of the image. Please refer to values starting from FoxitPDFSDKPython3.e_Rotation0 and this would be one of these values.

## ◆ GetTitle()

def FoxitPDFSDKPython3.Screen.GetTitle | ( |  | ) |

Get title of current screen annotation.

Returns
  The title string.

## ◆ RemoveAction()

def FoxitPDFSDKPython3.Screen.RemoveAction | ( |  | ) |

Remove action.

This function cannot be used to remove action which is used as additional action. If user wants to remove any additional action, please refer to class FoxitPDFSDKPython3.AdditionalAction for more details.

Returns
  true means success, while false means failure.

## ◆ SetAction()

def FoxitPDFSDKPython3.Screen.SetAction | ( |  | action | ) |

Set action.

This function cannot be used to set action which is used as additional action. If user wants to set any additional action, please refer to class FoxitPDFSDKPython3.AdditionalAction for more details.

Parameters

  [in] | action | New action to be set. It should be valid. Currently only support following types as the new action: FoxitPDFSDKPython3.Action.e_TypeGoto , FoxitPDFSDKPython3.Action.e_TypeURI , FoxitPDFSDKPython3.Action.e_TypeJavaScript , FoxitPDFSDKPython3.Action.e_TypeNamed , FoxitPDFSDKPython3.Action.e_TypeGoToR , FoxitPDFSDKPython3.Action.e_TypeGoToE , FoxitPDFSDKPython3.Action.e_TypeSubmitForm , FoxitPDFSDKPython3.Action.e_TypeResetForm , FoxitPDFSDKPython3.Action.e_TypeHide , FoxitPDFSDKPython3.Action.e_TypeLaunch , FoxitPDFSDKPython3.Action.e_TypeImportData , FoxitPDFSDKPython3.Action.e_TypeRendition .

Returns
  None.

## ◆ SetImage()

def FoxitPDFSDKPython3.Screen.SetImage | ( |  | image,
|  |  | frame_index,
|  |  | compress
| ) |  |

Set image to current screen annotation, with a specified frame index.

Input image may contain multiple frames, and only one frame of the image can be set to current stamp annotation.
If user wants the effect to be shown in annotation's appearance, please call function FoxitPDFSDKPython3.Annot.ResetAppearanceStream after this function.

Parameters

  [in] | image | An image. One of its frames will be set to current stamp. This image contains at least one frame and the image type should not be FoxitPDFSDKPython3.Image.e_Unknown .
  [in] | frame_index | Frame index. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Image.GetFrameCount .
  [in] | compress | Compress algorithm type used to compress image data. Currently, it only supports 2 valid value: 0: no compress. 1: do default compress.

Returns
  None.

## ◆ SetMKDict()

def FoxitPDFSDKPython3.Screen.SetMKDict | ( |  | dict | ) |

Set the appearance characteristics dictionary (known as "MK" dictionary as well).

Parameters

  [in] | dict | A PDF dictionary that represents the new "MK" dictionary to be set. User should not release this dictionary after setting it to a screen annotation.

## ◆ SetOpacity()

def FoxitPDFSDKPython3.Screen.SetOpacity | ( |  | opacity | ) |

Set opacity value.

This property has effect on annotation's appearance. If user wants the effect to be shown in annotation's appearance, please call function FoxitPDFSDKPython3.Annot.ResetAppearanceStream after this function.

Parameters

  [in] | opacity | The new opacity value. Valid range: 0.0 to 1.0 . 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

## ◆ SetRotation()

def FoxitPDFSDKPython3.Screen.SetRotation | ( |  | rotate | ) |

Set the rotation of the image used for the appearance of current screen annotation.

This property has effect on annotation's appearance. If user wants the effect to be shown in annotation's appearance, please call function FoxitPDFSDKPython3.Annot.ResetAppearanceStream after this function.

Parameters

  [in] | rotate | Rotation value. Please refer to values starting from FoxitPDFSDKPython3.e_Rotation0 and this should be one of these values except FoxitPDFSDKPython3.e_RotationUnknown .

Returns
  None.

## ◆ SetTitle()

def FoxitPDFSDKPython3.Screen.SetTitle | ( |  | title | ) |

Set title of current screen annotation.

Parameters

  [in] | title | The title string to be set.

Returns
  None.